# Visualization
TKV3d
DsgPrs

# DsgPrs_EqualDistancePresentation Class Reference

A framework to display equal distances between shapes and a given plane.
The distance is the length of a projection from the shape to the plane.
These distances are used to compare two shapes by this vector alone.
.

`#include <DsgPrs_EqualDistancePresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Pnt &Point1, const gp_Pnt &Point2, const gp_Pnt &Point3, const gp_Pnt &Point4, const Handle(Geom_Plane)&Plane)
| Adds the points Point1, Point2, Point3 Point4, and the plane Plane to the presentation object aPresentation. The display attributes of these elements is defined by the attribute manager aDrawer. The distance is the length of a projection from the shape to the plane. These distances are used to compare two shapes by this vector alone. .
static Standard_EXPORT void | AddInterval (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Pnt &aPoint1, const gp_Pnt &aPoint2, const gp_Dir &aDir, const gp_Pnt &aPosition, const DsgPrs_ArrowSide anArrowSide, gp_Pnt &anExtremePnt1, gp_Pnt &anExtremePnt2)
| is used for presentation of interval between two lines or two points or between a line and a point.
static Standard_EXPORT void | AddIntervalBetweenTwoArcs (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Circ &aCircle1, const gp_Circ &aCircle2, const gp_Pnt &aPoint1, const gp_Pnt &aPoint2, const gp_Pnt &aPoint3, const gp_Pnt &aPoint4, const DsgPrs_ArrowSide anArrowSide)
| is used for presentation of interval between two arcs. One of arcs can have a zero radius.

## Member Function Documentation

static Standard_EXPORT void DsgPrs_EqualDistancePresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Pnt & | Point1,
|  | const gp_Pnt & | Point2,
|  | const gp_Pnt & | Point3,
|  | const gp_Pnt & | Point4,
|  | const Handle(Geom_Plane)& | Plane
| ) | `[static]`

static Standard_EXPORT void DsgPrs_EqualDistancePresentation::AddInterval | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Pnt & | aPoint1,
|  | const gp_Pnt & | aPoint2,
|  | const gp_Dir & | aDir,
|  | const gp_Pnt & | aPosition,
|  | const DsgPrs_ArrowSide | anArrowSide,
|  | gp_Pnt & | anExtremePnt1,
|  | gp_Pnt & | anExtremePnt2
| ) | `[static]`

static Standard_EXPORT void DsgPrs_EqualDistancePresentation::AddIntervalBetweenTwoArcs | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Circ & | aCircle1,
|  | const gp_Circ & | aCircle2,
|  | const gp_Pnt & | aPoint1,
|  | const gp_Pnt & | aPoint2,
|  | const gp_Pnt & | aPoint3,
|  | const gp_Pnt & | aPoint4,
|  | const DsgPrs_ArrowSide | anArrowSide
| ) | `[static]`

void DsgPrs_EqualDistancePresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_EqualDistancePresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_EqualDistancePresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_EqualDistancePresentation.hxx